Bug 810443 - restore snapshot without '-f' option should return expected error message
restore snapshot without '-f' option should return expected error message
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
1.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-06 03:40 EDT by Meng Bo
Modified: 2013-03-13 00:52 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhc-0.90.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:32:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-04-06 03:40:38 EDT
Description of problem:
create app and take a snapshot for it, try to restore the snapshot to the app without '-f'/'--filepath' option, will get some error messages.

Version-Release number of selected component (if applicable):
rhc-0.89.12-1.el6_2.noarch

How reproducible:
always

Steps to Reproduce:
1.create app
rhc app create -a php1 -t php-5.3
2.take snapshot 
rhc app snapshot -a php1
3.try to restore the snapshot without -f option
  
Actual results:
[bmeng@localhost jbs1]$ rhc app snapshot restore -a jbs1
Password: 
/usr/lib/ruby/gems/1.8/gems/rhc-0.89.12/bin/rhc-app:385:in `exists?': can't convert nil into String (TypeError)
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.89.12/bin/rhc-app:385:in `save_or_restore_snapshot'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.89.12/bin/rhc-app:572
	from /usr/bin/rhc-app:19:in `load'
	from /usr/bin/rhc-app:19


Expected results:
some meaningful messages like "snapshot file has not been specified" should be shown.

Additional info:
snapshot can be restored successfully with the correct command.
Comment 1 John (J5) Palmieri 2012-04-11 13:02:56 EDT
commit d095b38659b2c8a97f20967a020f0f2ff7633925
Comment 2 Meng Bo 2012-04-11 23:35:51 EDT
verified on rhc-0.90.4
issue has been fixed.

Note You need to log in before you can comment on or make changes to this bug.